classification
Title: class:`OrderedDict` Examples: LRU implementation has a bug.
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Dongfang Qu, docs@python, miss-islington, rhettinger
Priority: normal Keywords: patch

Created on 2020-05-16 23:33 by Dongfang Qu, last changed 2020-05-21 04:21 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20139 merged Dongfang Qu, 2020-05-16 23:46
PR 20167 merged miss-islington, 2020-05-18 03:51
Messages (5)
msg369083 - (view) Author: Dongfang Qu (Dongfang Qu) * Date: 2020-05-16 23:33
class:`OrderedDict` Examples: LRU implementation has a bug.
Details: 
The calls to the `__setitem__` method should also count as usages.
msg369085 - (view) Author: Dongfang Qu (Dongfang Qu) * Date: 2020-05-16 23:35
Document of `collections`.
https://docs.python.org/3/library/collections.html
msg369170 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-05-18 03:50
New changeset bb8635cc3bc3dd65996803849ee1a91cfbebae9c by qudongfang in branch 'master':
bpo-40651: Improve LRU recipe in the OrderedDict documentation  (GH-#20139)
https://github.com/python/cpython/commit/bb8635cc3bc3dd65996803849ee1a91cfbebae9c
msg369171 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-05-18 03:53
Thanks for PR :-)
msg369491 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2020-05-21 04:21
New changeset d88f0aa8e24ea7562f2e04833f46d8526e846334 by Miss Islington (bot) in branch '3.8':
bpo-40651: Improve LRU recipe in the OrderedDict documentation  (GH-GH-20139) (GH-20167)
https://github.com/python/cpython/commit/d88f0aa8e24ea7562f2e04833f46d8526e846334
History
Date User Action Args
2020-05-21 04:21:09rhettingersetmessages: + msg369491
2020-05-18 03:53:16rhettingersetstatus: open -> closed
versions: + Python 3.8, Python 3.9
messages: + msg369171

resolution: fixed
stage: patch review -> resolved
2020-05-18 03:51:07miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request19466
2020-05-18 03:50:59rhettingersetnosy: + rhettinger
messages: + msg369170
2020-05-16 23:46:31Dongfang Qusetkeywords: + patch
stage: patch review
pull_requests: + pull_request19445
2020-05-16 23:35:00Dongfang Qusetmessages: + msg369085
2020-05-16 23:33:27Dongfang Qucreate